<?php

/**
 * Uninstall the plugin
 *
 * @package LinkFiliate
 * @subpackage Database
 */


if (! defined('WP_UNINSTALL_PLUGIN')) {
	exit;
}

require_once __DIR__ . '/libs/Utils/Cache.php';
require_once __DIR__ . '/inc/Core/Uninstall.php';

use LinkFiliate\Core\Uninstall;
use LinkFiliate\Libs\Utils\Cache;



if (class_exists(Cache::class) && method_exists(Cache::class, 'uninstall')) {
	Cache::uninstall();
}


if (class_exists(Uninstall::class)) {
	Uninstall::run();
}

